SDL_GetHapticFeatures(3)

NAME
SDL_GetHapticFeatures - Get the haptic device's supported features in bitwise manner.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint32 SDL_GetHapticFeatures(SDL_Haptic *haptic);

FUNCTION PARAMETERS

haptic
    the SDL_Haptic
     device to query

RETURN VALUE
Returns a list of supported haptic features in bitwise manner (OR'd), or 0 on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_HapticEffectSupported(3), SDL_GetMaxHapticEffects(3)